.footer {
    background-color: $purple;
    padding-top: $global-padding-mobile;
    margin-top: $global-margin-mobile;

    &__main-content {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: space-between;
        padding-bottom: 20px;
    }

    &__column {
        text-align: center;
        margin: 0 auto;
        margin-bottom: 20px;
    }

    &__heading {
        font-family: $base-font-family;
        font-weight: bold;
        color: $white;
        font-size: 24px;
        margin: 0;
        margin-bottom: 20px;
    }

    &__links {
        list-style: none;
        padding: 0;
    }

    &__link {
        margin: 0;
        padding: 0;
        margin-bottom: 15px;

        & a {
            text-decoration: none;
            font-family: $alt-font-family;
            font-size: 14px;
            color: $footer-links;
            &:hover {
                color: $white;
            }
        }
    }

    &__paragraph {
        font-family: $alt-font-family;
        font-size: 14px;
        color: $footer-links;
        margin: 0;
        margin-bottom: 15px;
    }
    &-social {
        &__list {
            list-style: none;
            padding: 0;
            margin-top: 35px;
            display: flex;
            justify-content: center;
        }

        &__item {
            margin-right: 10px;
        }

        &__link {
            text-decoration: none;
            height: 50px;
            width: 50px;
            border-radius: 50%;
            display: inline-block;
            position: relative;

            &.facebook {
                background-color: $facebook-bg;
                &:hover {
                    background-color: $facebook-bg-hover;
                }
            }

            &.twitter {
                background-color: $twitter-bg;
                &:hover {
                    background-color: $twitter-bg-hover;
                }
            }

            &.pinterest {
                background-color: $pinterest-bg;
                &:hover {
                    background-color: $pinterest-bg-hover;
                }
            }
        }

        &__icon {
            width: 20px;
            position: absolute;
            right: 50%;
            transform: translate(50%, -50%);
            top: 50%;
        }
    }

    &-app {
        display: flex;
        align-items: center;
        background-color: $footer-input;
        padding: 15px 75px 15px 20px;
        border-radius: 4px;
        text-decoration: none;
        margin-bottom: 10px;

        &:hover {
            background-color: rgb(98, 99, 110);
        }

        &__image {
            margin-right: 20px;
        }

        &__title {
            font-family: $alt-font-family;
            font-size: 11px;
            color: $light-grey;
            margin: 0;
            margin-bottom: 3px;
        }

        &__name {
            font-family: $alt-font-family;
            font-size: 18px;
            color: $light-grey;
            margin: 0;
        }
    }

    &-rights {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-bottom: 50px;
        font-family: $alt-font-family;
        font-size: 13px;

        &__year {
            color: $footer-links;
            margin: 0;
            margin-bottom: 10px;
        }

        &__company {
            color: $white;
            text-transform: uppercase;
            margin: 0;
            margin-bottom: 10px;
        }

        &__content {
            color: $footer-links;
            text-transform: uppercase;
            margin: 0;
        }

        &-text {
            display: flex;
            flex-direction: column;
            text-align: center;
            margin: 0 auto;
        }

        &__deco {
            background-color: $footer-links;
            height: 1px;
            width: 100%;
            max-width: 370px;
            display: none;
        }
    }
}

.newsletter {
    display: flex;
    flex-direction: column;
    align-items: center;

    &__input {
        margin-bottom: 10px;

        &-icon {
            position: absolute;
            padding-top: 17px;
            padding-left: 20px;
            color: $yellow;
        }

        &-item {
            padding: 15px 20px 15px 50px;
            height: 51px;
            background-color: transparent;
            font-family: $alt-font-family;
            font-size: 14px;
            color: $white;
            border: 2px solid $footer-input;
            outline: none;
            border-radius: 4px;
            width: 100%;
            max-width: 310px;
        }
    }

    &__submit {
        text-decoration: none;
        color: $white;
        text-transform: uppercase;
        background-color: $yellow;
        padding: 18px 36px;
        font-size: 14px;
        font-family: $alt-font-family;
        font-weight: bold;
        border-radius: 4px;
        border: none;
        width: 100%;
        max-width: 310px;
        cursor: pointer;
        &:hover {
            background-color: $yellow-hover;
        }
    }
}


@media screen and (min-width: $tablet){
    .footer {
        padding-top: $global-padding;
        margin-top: $global-margin;
        
        &__main-content {
            flex-direction: row;
            padding-bottom: 50px;
        }

        &__column {
            text-align: left;
            margin: 0;
            margin-right: 20px;
        }

        &__heading {
            margin-bottom: 30px;
        }

        &-social {
            &__list {
                justify-content: flex-start;
            }
        }

        &-app {
            padding: 15px 15px 15px 15px;
        }
        &-rights {
            &__year {
                margin-right: 10px;
            }
    
            &__company {
                margin-right: 10px;
            }
    
            &-text {
                flex-direction: row;
                text-align: left;
                margin: 0;
            }
    
            &__deco {
                display: block;
                width: 20%;
            }
        }
    }
    .newsletter {
        flex-direction: row;
        &__input {
            margin-bottom: 0;
            &-item {
                margin-right: 9px;
            }
        }
        &__submit {
            width: unset;
            margin-left: 10px;
        }
    }
}

@media screen and (min-width: $desktop){
    .footer {
        &__main-content {
            padding-right: 60px;
        }

        &__column {
            margin-right: 0;
        }

        &-app {
            padding: 15px 75px 15px 20px;
        }

        &-rights {
            &__deco {
                width: 100%;
            }
        }
    }
    .newsletter {
        &__submit {
            margin-left: 0;
        }
    }
}